## gigolo 0.4.0

=== wscript ===
--- 
+++ 
@@ -18,16 +18,17 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 7230 2009-04-18 14:31:35Z enrico $
-
-
-
+# $Id$
+
+
+
+from TaskGen import taskgen, feature
 import Build, Configure, Options, Utils, UnitTest
 import sys, os, shutil
 
 
 APPNAME = 'gigolo'
-VERSION = '0.3.2'
+VERSION = '0.4.0'
 
 srcdir = '.'
 blddir = '_build_'
@@ -37,7 +38,7 @@
 			'src/menubuttonaction.c', 'src/mountoperation.c', 'src/bookmarkdialog.c',
 			'src/bookmarkeditdialog.c', 'src/preferencesdialog.c', 'src/backendgvfs.c',
 			'src/common.c', 'src/mountdialog.c', 'src/browsenetworkpanel.c',
-			'src/singleinstance.c' ]
+			'src/singleinstance.c', 'src/bookmarkpanel.c' ]
 
 
 
@@ -48,6 +49,7 @@
 		mandatory=True, args='--cflags --libs')
 	conf.check_cfg(package='gio-2.0', atleast_version='2.16.0', uselib_store='GIO',
 		mandatory=True, args='--cflags --libs')
+	conf.check_cfg(package='x11', uselib_store='X11', mandatory=True, args='--libs')
 
 	gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
 	gio_version = conf.check_cfg(modversion='gio-2.0', uselib_store='GIO')
@@ -79,6 +81,19 @@
 		help='enable debug mode [default: No]', dest='debug')
 	opt.add_option('--update-po', action='store_true', default=False,
 		help='update the message catalogs for translation', dest='update_po')
+
+
+@taskgen
+@feature('intltool_po')
+def write_linguas_file(self):
+	linguas = ''
+	files = os.listdir('%s/po' % self.path.abspath())
+	for f in files:
+		if f.endswith('.po'):
+			linguas += '%s ' % f[:-3]
+	f = open("po/LINGUAS", "w")
+	f.write('# This file is autogenerated. Do not edit.\n%s\n' % linguas)
+	f.close()
 
 
 def build(bld):
@@ -118,7 +133,7 @@
 		target			= 'gigolo',
 		source			= 'src/main.c',
 		includes		= '.',
-		uselib			= 'GTK GIO',
+		uselib			= 'GTK GIO X11',
 		uselib_local	= 'gigolo_lib',
 	)
 
@@ -136,7 +151,7 @@
 	bld.new_task_gen(
 		features		= 'intltool_in',
 		source			= 'gigolo.desktop.in',
-		flags			= '-d',
+		flags			= [ '-d', '-q', '-u', '-c' ],
 		install_path	= '${DATADIR}/applications'
 	)
