=== debian/changelog ===
gigolo (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_fix-ftbfs-gold dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 31 Dec 2009 12:13:03 +0100

gigolo (0.3.2-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - remove cdbs from build-deps, thanks Lionel Le Folgoc.
    - update standards versions to 3.8.3.
  * debian/watch:
    - update url for the Xfce archive reorganisation.
  * convert package to 3.0 (quilt) format.
  * debian/patches:
    - 01_fix-ftbfs-gold added, fix FTBFS with binutils-gold.    closes: #554549

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 06 Nov 2009 08:19:43 +0100

gigolo (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update homepage address.
    - correct GVfs case in descriptions.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 20:52:10 +0200

gigolo (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - move gigolo to xfce section and -dbg package to debug.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 05 Apr 2009 14:09:05 +0200

gigolo (0.3.0-1) unstable; urgency=low

  * New upstream release, upload to unstable.
  * debian/control:
    - update standards version to 3.8.1.
    - update debhelper build-dep to 7.0.50.
  * debian/rules:
    - use overrides to call dh_install with --fail-missing.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 02:17:42 +0200

gigolo (0.2.1-1) experimental; urgency=low

  * Initial Release.                                            closes: #510558

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 21:21:50 +0100
