=== debian/control ===
Source: gigolo
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>
Build-Depends: debhelper (>= 7.0.50), python, intltool, pkg-config,
  libgtk2.0-dev (>= 2.12.0)
Standards-Version: 3.8.3
Homepage: http://www.uvena.de/gigolo/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/gigolo/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/gigolo/

Package: gigolo
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gvfs-bin
Description: frontend to manage connections to remote filesystems using GIO/GVfs
 Gigolo is a frontend to easily manage connections to remote filesystems
 using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
 and manage bookmarks of such.

Package: gigolo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gigolo (= ${binary:Version}), ${misc:Depends}
Description: frontend to manage connections to remote filesystems using GIO/GVfs (debug)
 Gigolo is a frontend to easily manage connections to remote filesystems
 using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
 and manage bookmarks of such.
 .
 This package contains the debugging symbols.
