=== debian/rules ===
#!/usr/bin/make -f

WAF = ./waf --nocache

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(WAF) distclean
	dh_clean

build: build-stamp
build-stamp:
	dh build --before configure
	$(WAF) configure --prefix=/usr
	$(WAF) build
	dh build --after build
	touch build-stamp

install: build install-stamp
install-stamp:
	dh install --before dh_auto_install
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	# remove spurious doc files
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/gigolo/ChangeLog 
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/gigolo/COPYING
	dh install --after dh_auto_install
	touch install-stamp

override_dh_install:
	dh_install --fail-missing

binary-arch: install
	dh binary-arch --before dh_strip
	dh_strip --dbg-package=gigolo-dbg
	dh binary-arch --after dh_strip

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep
