## gigolo 0.4.1

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # WAF build script
 #
-# Copyright 2008-2009 Enrico Tröger <enrico(at)xfce(dot)org>
+# Copyright 2008-2010 Enrico Tröger <enrico(at)xfce(dot)org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,8 +17,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-#
-# $Id$
 
 
 
@@ -28,7 +26,7 @@
 
 
 APPNAME = 'gigolo'
-VERSION = '0.4.0'
+VERSION = '0.4.1'
 
 srcdir = '.'
 blddir = '_build_'
@@ -60,6 +58,9 @@
 
 	conf.write_config_header('config.h')
 
+	if 'LINGUAS' in os.environ:
+		conf.env['LINGUAS'] = os.environ['LINGUAS']
+
 	# debug flags
 	if Options.options.debug:
 		conf.env.append_value('CCFLAGS', '-g -O0 -DDEBUG '.split())
@@ -87,10 +88,17 @@
 @feature('intltool_po')
 def write_linguas_file(self):
 	linguas = ''
-	files = os.listdir('%s/po' % self.path.abspath())
-	for f in files:
-		if f.endswith('.po'):
-			linguas += '%s ' % f[:-3]
+	if 'LINGUAS' in Build.bld.env:
+		files = Build.bld.env['LINGUAS']
+		for po_filename in files.split(' '):
+			if os.path.exists('po/%s.po' % po_filename):
+				linguas += '%s ' % po_filename
+	else:
+		files = os.listdir('%s/po' % self.path.abspath())
+		files.sort()
+		for f in files:
+			if f.endswith('.po'):
+				linguas += '%s ' % f[:-3]
 	f = open("po/LINGUAS", "w")
 	f.write('# This file is autogenerated. Do not edit.\n%s\n' % linguas)
 	f.close()
