=== debian/changelog ===
gigolo (0.4.1-3) unstable; urgency=low

  * debian/rules:
    - add hardening flags to build flags.
    - remove ChangeLog, AUTHORS and COPYING from install dir.
  * debian/control:
    - add build-dep on hardening-includes

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 04 Sep 2011 22:26:07 +0200

gigolo (0.4.1-2) unstable; urgency=low

  * debian/rules:
    - drop waf completely, use autogen.sh to get a standard autotools.
      interface.
  * debian/control:
    - drop python build-dep
    - update standards version to 3.9.2. 

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 20 Apr 2011 12:49:42 +0200

gigolo (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update standards version to 3.9.1.
  * debian/rules, debian/waf-runner-append:
    - fix FTBFS on hppa by patching waf at build time. *yurk*
  * debian/rules:
    - call dpkg-buildflags for CFLAGS and LDFLAGS, add --as-needed to LDFLAGS.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Aug 2010 23:28:07 +0200
