=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)

export CFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_install:
	rm debian/tmp/usr/share/doc/gigolo/ChangeLog
	rm debian/tmp/usr/share/doc/gigolo/COPYING
	rm debian/tmp/usr/share/doc/gigolo/AUTHORS
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gigolo-dbg
