## gigolo 0.4.1+dfsg

=== debian/changelog ===
gigolo (0.4.1+dfsg-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Drop unused waf scripts, we use the alternate autotools-based build
    system already.                                             closes: #654468
  * debian/rules:
    - clean up autogenerated files during clean.
    - add a get-orig-source rule to drop the waf related files from the
      tarball.
  * debian/watch:
    - demangle destination file.

  [ Yves-Alexis Perez ]
  * Add Lionel to uploaders.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 22 Oct 2012 21:56:24 +0200
