=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,22 @@
 
 export CFLAGS LDFLAGS
 
+# get-orig-source to drop waf
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	./autogen.sh
 	dh_auto_configure
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f $$(find -name 'Makefile.in*')
+	rm -f INSTALL aclocal.m4 config.h.in configure depcomp install-sh missing mkinstalldirs
 
 override_dh_install:
 	rm debian/tmp/usr/share/doc/gigolo/ChangeLog
@@ -24,3 +34,12 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=gigolo-dbg
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; rm -f waf wscript configure
+	sed -i -e '/waf/d' -e '/wscript/d' $(pkg)-$(dfsg_version)/Makefile.am
+	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)
