=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://archive.xfce.org/src/apps/gigolo/([\d\.]+)/ \
	gigolo-([\d\.]+)\.tar\.(?:gz|bz2)
