## gigolo 0.4.2

=== debian/changelog ===
gigolo (0.4.2-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
    - Drop waf support, we no longer need to repack
    - Never make the Connect button insensitive. LP: #1131156
  * debian/control:
    - Bump debhelper to 9
    - Drop hardening-includes, no longer needed
    - Bump standards-version to 3.9.5
  * debian/rules: 
    - Switch from hardening includes to debhelper 9 hardening
    - Add --disable-silent-rules to configure
  * debian/compat: Bump to 9

  [ Yves-Alexis Perez ]
  * debian/rules:
    - stop calling autogen.sh before configure.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 09 Jan 2014 23:00:45 +0100
