=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>, Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), intltool, pkg-config,
-  libgtk2.0-dev (>= 2.12.0), hardening-includes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), intltool, pkg-config,
+  libgtk2.0-dev (>= 2.12.0)
+Standards-Version: 3.9.5
 Homepage: http://www.uvena.de/gigolo/
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/gigolo/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/gigolo/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/gigolo/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/gigolo/
 
 Package: gigolo
 Section: xfce
