=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_install:
	rm debian/tmp/usr/share/doc/gigolo/ChangeLog
	rm debian/tmp/usr/share/doc/gigolo/COPYING
	rm debian/tmp/usr/share/doc/gigolo/AUTHORS
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gigolo-dbg
