## gigolo 0.4.91

=== debian/changelog ===
gigolo (0.4.91-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 28 Mar 2019 06:38:23 -0400

gigolo (0.4.90-1) experimental; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: 899525
  * d/gbp.conf added, following DEP-14
  * d/watch: use HTTPS protocol
  * New upstream version 0.4.90
  * d/control: drop Emanuele, Simon, Lionel and Stefan from uploaders
  * d/control: update standards version to 4.2.1
  * d/control: update build-deps for new release
  * d/control: drop duplicate section field
  * migrate to gbp pq and fix a typo

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Dec 2018 14:35:52 +0100

gigolo (0.4.2-2) unstable; urgency=medium

  * debian/patches:
    - 01_migrate-gvfs-command added, replace gvfs-open by gio open as default
    open command.
  * debian/control:
    - replace gvfs-bin by libglib2.0-bin in Recommends          closes: #877744
    - run wrap-and-sort
    - update standards version to 4.4.1. 
    - drop -dbg package.
  * debian/rules:
    - migrate to dbgsym package.
    - use debian/gigolo instead of debian/tmp in file removals, since we only
    have one binary package now. 
    - drop list-missing since we install everything.
  * debian/gigolo.install dropped since we only have one package.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Oct 2017 16:08:34 +0200
