=== debian/control ===
Source: gigolo
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 9),
               intltool,
               libgtk-3-dev,
               pkg-config
Standards-Version: 4.2.1
Homepage: http://www.uvena.de/gigolo/
Vcs-Git: https://salsa.debian.org/xfce-team/apps/gigolo.git
Vcs-Browser: https://salsa.debian.org/xfce-team/apps/gigolo

Package: gigolo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libglib2.0-bin
Description: frontend to manage connections to remote filesystems using GIO/GVfs
 Gigolo is a frontend to easily manage connections to remote filesystems
 using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
 and manage bookmarks of such.
